> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Пригласить пользователя в группу

> Пригласить пользователя аккаунта в группу

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json POST /v1/public/accounts/{account_id}/auth/groups/{group_id}/invitations
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/invitations:
    post:
      tags:
        - public-accounts
        - public-account-auth
      summary: Пригласить пользователя аккаунта в группу
      description: Приглашает пользователя в группу, привязанную к аккаунту в пути.
      operationId: >-
        invite_public_account_user_to_group_v1_public_accounts__account_id__auth_groups__group_id__invitations_post
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupInviteRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InviteResponse'
                  - $ref: '#/components/schemas/MaterializedInvitationAccessResponse'
                title: >-
                  Response Invite Public Account User To Group V1 Public
                  Accounts  Account Id  Auth Groups  Group Id  Invitations Post
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupInviteRequest:
      description: Схема запроса для приглашения пользователя напрямую в группу.
      properties:
        email:
          description: Целевой адрес электронной почты
          title: Электронная почта
          type: string
        locale:
          anyOf:
            - type: string
            - type: 'null'
          description: Необязательная локаль для транзакционного письма приглашения
          title: Локаль
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Примечание
      required:
        - email
      title: GroupInviteRequest
      type: object
    InviteResponse:
      properties:
        accepted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Время принятия
        accepted_subject_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ID принявшего субъекта
        assignments:
          items:
            $ref: '#/components/schemas/InvitationAssignmentResponse'
          title: назначения
          type: array
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Создано в
        email:
          title: Электронная почта
          type: string
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: истекает время
        id:
          format: uuid
          title: ID
          type: string
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Примечание
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        status:
          title: Статус
          type: string
      required:
        - id
        - email
        - status
        - assignments
        - permission_context
      title: InviteResponse
      type: object
    MaterializedInvitationAccessResponse:
      properties:
        accepted_subject_id:
          title: ID принявшего субъекта
          type: string
        assignment_count:
          title: Количество назначений
          type: integer
        email:
          title: Электронная почта
          type: string
        grant_count:
          title: Количество предоставлений
          type: integer
        group_membership_count:
          title: Количество членств в группах
          type: integer
        mode:
          default: materialized
          title: режим
          type: string
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        role_assignment_count:
          title: Количество назначений ролей
          type: integer
        status:
          default: accepted
          title: Статус
          type: string
      required:
        - email
        - accepted_subject_id
        - assignment_count
        - group_membership_count
        - grant_count
        - role_assignment_count
        - permission_context
      title: MaterializedInvitationAccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    InvitationAssignmentResponse:
      description: Схема для одного назначения разрешений в ответе на приглашение.
      properties:
        assignment_kind:
          title: Тип назначения
          type: string
        capability_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Ключ возможности
        grant_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Тип предоставления
        group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: ID группы
        id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: ID
        position:
          title: Позиция
          type: integer
        resource_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: ID ресурса
        resource_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Тип ресурса
        role_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Ролевой ключ
      required:
        - assignment_kind
        - position
      title: InvitationAssignmentResponse
      type: object
    PermissionInspectabilitySnapshot:
      description: >-
        Общий снимок возможностей проверки для управления пользователями,
        группами и приглашениями.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: Ключи назначенных наборов
          type: array
        direct_capability_keys:
          items:
            type: string
          title: Ключи прямых возможностей
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: Назначения владельца
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: Разрешенные ключи возможностей
          type: array
        status:
          default: active
          title: Статус
          type: string
        subject_id:
          default: ''
          title: ID субъекта
          type: string
        subject_type:
          default: unknown
          title: Тип субъекта
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
    OwnerAssignmentSnapshot:
      description: Схема, показывающая отношения владельца учетной записи.
      properties:
        account_id:
          format: uuid
          title: Id аккаунта
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````